Bug 10276 - xpat2 barfs on LANG setting
xpat2 barfs on LANG setting
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xpat2 (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-20 18:51 EST by Trond Eivind Glomsrød
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-04 09:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrød 2000-03-20 18:51:06 EST
This is against 6.1.98, configured for the Norwegian language.

If LANG is set to no_NO, xpat2 returns this when started:

[teg@pascal teg]$ xpat2
FAILED to open keyboard file "/usr/lib/games/xpat/no_NO/keys"


When you try to open help on a set of rules, I get this:

Warning: Cannot open file /usr/lib/games/xpat/no_NO/help.Klondike; Ingen
slik fil eller filkatalog

(the last part of the sentence means "no such file or directory"). No help
pops up.

When run after unsetting LANG, the problem disappears.
Comment 1 Trond Eivind Glomsrød 2000-04-04 09:38:59 EDT
Upgrading to xpat2 1.06 seems to solve the problem.

Note You need to log in before you can comment on or make changes to this bug.